/**
 * Created by fran lopez on 9/11/15.
 */

    /**
     * CommonJS module to define a e2e test to check operations with
     * film trailers using the views defined in path
     * "/public/filmTrailers/views".
     */

    describe('Film Trailers E2E Tests:', function() {
        describe('Test for film trailers', function() {
            it('Should not be able to find film trailers, because the film ID used in the URL is wrong', function() {

                browser.get('http://localhost:3000/#!/filmTrailers/fds45a4dsa6a');
                expect(element(by.id('errorLabel')).isPresent()).toBe(true);
            });

            it('Should be able to find film trailers, because the film ID used in the URL is correct', function() {

                browser.get('http://localhost:3000/#!/filmTrailers/56a37475ddb6aa451246799a');
                expect(element(by.css('li label')).isPresent()).toBe(true);
            });
        });
    });